[SM-Grimoire-Bugs] [Bug 15172] fast-user-switch-applet 2.24.0 cannot find libgnomeui/gnome-help.h

bugzilla-daemon at bugs.sourcemage.org bugzilla-daemon at bugs.sourcemage.org
Tue Apr 14 19:15:59 EDT 2009


http://bugs.sourcemage.org/show_bug.cgi?id=15172





--- Comment #3 from Eric Sandall <sandalle at sourcemage.org>  2009-04-14 18:15:58 ---
pkg-config includes /usr/include/libgnomeui-2.0 for us:
$ pkg-config libgnomeui-2.0 --cflags
-DORBIT2=1 -pthread -I/usr/include/libgnomeui-2.0 -I/usr/include/libart-2.0
-I/usr/include/gconf/2 -I/usr/include/gnome-keyring-1
-I/usr/include/libgnome-2.0 -I/usr/include/libbonoboui-2.0
-I/usr/include/libgnomecanvas-2.0 -I/usr/include/gtk-2.0
-I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include
-I/usr/include/orbit-2.0 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include
-I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include
-I/usr/include/libbonobo-2.0 -I/usr/include/bonobo-activation-2.0
-I/usr/include/libxml2 -I/usr/include/pango-1.0 -I/usr/include/gail-1.0
-I/usr/include/freetype2 -I/usr/include/atk-1.0 -I/usr/lib/gtk-2.0/include
-I/usr/include/cairo -I/usr/include/pixman-1 -I/usr/include/libpng12

but it doesn't look like fast-user-switch-applet is using pkgconfig to
determine includes:
gcc -DHAVE_CONFIG_H -I. -I..  -DG_LOG_DOMAIN=\""Fast-User-Switch-Applet"\"
-DDATADIR=\""/usr/share"\" -DORBIT2=1 -pthread -I/usr/include/gtk-2.0
-I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo
-I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include
-I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12
-I/usr/include/panel-2.0 -I/usr/include/gconf/2 -I/usr/include/libbonoboui-2.0
-I/usr/include/orbit-2.0 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include
-I/usr/include/libxml2 -I/usr/include/libbonobo-2.0
-I/usr/include/libgnomecanvas-2.0 -I/usr/include/libgnome-2.0
-I/usr/include/bonobo-activation-2.0 -I/usr/include/gail-1.0
-I/usr/include/libart-2.0 -I/usr/include/gnome-vfs-2.0
-I/usr/lib/gnome-vfs-2.0/include -I/usr/include/libglade-2.0     -Wall
-Wmissing-prototypes -Wnested-externs -Wpointer-arith -Wno-sign-compare 
-Wcast-align -Wchar-subscripts -Wsign-compare -Wno-strict-aliasing -march=core2
-m32 -pipe -DPIC -fPIC -O2 -fomit-frame-pointer -MT
fast_user_switch_applet-applet.o -MD -MP -MF
.deps/fast_user_switch_applet-applet.Tpo -c -o fast_user_switch_applet-applet.o
`test -f 'applet.c' || echo './'`applet.c

Does not include libgnomeui-2.0. :(

-- 
Configure bugmail: http://bugs.sourcemage.org/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are the assignee for the bug.



More information about the SM-Grimoire-Bugs mailing list